External Cluster
UUID of the project the cluster belongs to
OK, List of external clusters.
No content
GET /qbert/v4/{projectId}/externalClusters/discover HTTP/1.1
X-Auth-Token: text
Accept: */*
OK, List of external clusters.
No content
UUID of the project the cluster belongs to
An unique cluster idenfier
Name of the external K8S cluster provider service
UUID of a cloud provider in PF9
A dynamic field to include cloud specific parameters. For example, for EKS, we need the region to be able to register a cluster
OK, if cluster create request was submitted successfully
No content
Unauthorized to perform this operation
Cluster could not be founds
Cluster already registered
POST /qbert/v4/{projectId}/externalClusters/register HTTP/1.1
X-Auth-Token: text
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"id": "text",
"provider": "text",
"cloudProviderID": "text",
"providerDetails": {}
}No content
UUID of the project the cluster belongs to
OK, if cluster create request was submitted successfully
No content
Unauthorized to perform this operation
POST /qbert/v4/{projectId}/externalClusters/:clusterID/deregister HTTP/1.1
X-Auth-Token: text
Accept: */*
No content
UUID of the project the cluster belongs to
OK, if cluster create request was submitted successfully
No content
Unauthorized to perform this operation
Cluster or the cluster agent could not be found
GET /qbert/v4/{projectId}/externalClusters/:clusterID/deploymentYAML HTTP/1.1
X-Auth-Token: text
Accept: */*
No content
Last updated
Was this helpful?
